Subject: RE: Questions about RFC 7252

From: Francesca Palombini <[email-masked]>
Date: Fri, 1 Dec 2017 09:36:33 +0000

Hi,

> My questions begin rather early in the document.  For example, section 2.1
> shows a transaction schematic with the text CON [0x7d34] and the text ACK
> [0x7d34]
> 
> I "presume" that means a confirmable message followed by an
> acknowledgement message.  The RFC does not provide / confirm that
> information.

But it does, please read the paragraph right before the example. But yes, it is a Confirmable message followed by an Acknowledgement.

> I see the hex number 0x7d34 but do not understand its significance.  If I try
> to put that number into a message and examine the individual fields as
> shown in Figure 5, I wind up with an invalid message.
> 

Again, from the paragraph before Figure 2 you can read that 0x7d34 is the Message ID.

> Taking hex value 0x7D34 puts binary 01 into the Version field, that is oK.
> Then a binary 011 into the Type field for a Reset command.
> That leaves 0Xd or binary 1101 in the TKL field.  But lengths 9-15 (decimal I
> presume per the RFC) are reserved so that will not work.
> 
> Additional reading leads me to presume that this might be a message ID.
> However, the document  neither states that clearly not does it describe how
> the message ID is created.
> 

It does state it further on in the document: see Section 4.4.

> Obviously there are some things about this RFC that I do not understand.
> Where might I go to post my questions such that there is a possibility that
> someone may answer them?

As Ben said, please post questions to CoRE mailing list: [email-masked]

Hope that helped,
Francesca